Bug 816447 - RFE:object-storage: enhance the response by status command
RFE:object-storage: enhance the response by status command
Status: CLOSED WONTFIX
Product: GlusterFS
Classification: Community
Component: object-storage (Show other bugs)
pre-release
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: crisbud@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 01:47 EDT by Saurabh
Modified: 2016-01-19 01:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 10:07:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2012-04-26 01:47:14 EDT
Description of problem:
Presently the status provided by the 
"swift-init main|proxy|account|container|object status" provides the status of the running servers, not the number of worker threads, etc. 

It will be helpful to enhance the response of status command by providing more information like the number of worker threads for each server and timeout values   in each server. 

As in large setups over large machines having many cores this kind of information will help manageability.

Same idea if can be implemented for original swift also may be a feature to collaborate with them.

Version-Release number of selected component (if applicable):
gluster-swift-1.0 and openstack-swift-1.4.8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 crisbud@redhat.com 2013-08-28 02:54:19 EDT
"swift-init main|proxy|account|container|object status"

It may need to check if default Openstack swift provides this or not ? And based on that it may need G4S to provide the same or otherwise.
Comment 3 crisbud@redhat.com 2013-08-28 02:56:52 EDT
Needs more discussion, planning if this is to be added a feature along with G4S.
Comment 4 Prashanth Pai 2014-01-27 09:43:48 EST
This enhancement has to be implemented in Openstack Swift, not in gluster-swift.
Comment 5 crisbud@redhat.com 2014-01-27 10:07:52 EST
Perhaps we can close the bug with QE acknowledgement. adding Pushpesh and Sourabh. As this requires fixes in Openstack Swift and not in gluster-swift code.

Note You need to log in before you can comment on or make changes to this bug.